VolunteerHourRequirement
List individual volunteer hour rules
GET/api/time/volunteer_hour_requirement
Query parameters
idinteger | |
personstring | |
companystring | |
exemptboolean | |
validFromstring | |
validUntilstring | |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of VolunteerHourRequirement objectsarray<VolunteerHourRequirement>
Show fields (9)
idintegerPrimary key of the volunteer hour requirement. Internal ID.
personCRMPerson27Volunteer the requirement applies to.
Show fields (11)
idintegerPrimary key of the person. Internal ID.
first_namestringFirst name of the person.
last_namestringLast name of the person.
numberintegerMember or customer number of the person.
manual_numberintegerNumber set manually instead of the automatic number.
number_stringstringMember or customer number as text, including prefix.
genderstringGender of the person.
titlestringAcademic or other title of the person.
nicknamestringNickname of the person.
preferred_color_hexstringPreferred color of the person as hex value.
avatar_tokenstringToken of the avatar image.
companyCRMCompany24Company the requirement applies to.
Show fields (6)
idintegerPrimary key of the company. Internal ID.
short_namestringShort name of the company.
company_namestringLegal name of the company.
numberstringCustomer or supplier number of the company.
manual_numberintegerNumber set manually instead of the automatic number.
number_stringstringCompany number as text, including prefix.
valid_fromstring (date-time)Start of the requirement.
valid_untilstring (date-time)End of the requirement.
exemptbooleanThe volunteer is exempt from the requirement.
required_hoursnumber (float)Hours per period instead of the installation wide value. null = installation wide value.
reasonstringReason for the requirement or exemption.
createdstring (date-time)Time the requirement was created.
curl --request GET \
--url https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/volunteer_hour_requirement_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await VolunteerHourRequirementController.getAll();
if (result.success) {
print(result.data);
}[
{
"id": 42,
"person": {
"id": 42,
"first_name": "Lena",
"last_name": "Hartmann",
"title": "Beispiel",
"number": 1,
"manual_number": 1,
"number_string": "string",
"gender": "string",
"nickname": "string",
"preferred_color_hex": "string"
},
"company": {
"id": 42,
"short_name": "Beispiel",
"company_name": "Beispiel",
"number": "string",
"manual_number": 1,
"number_string": "string"
},
"valid_from": "2026-10-15T09:30:00+02:00",
"valid_until": "2026-10-15T09:30:00+02:00",
"exempt": true,
"required_hours": 1.5,
"reason": "string",
"created": "2026-10-15T09:30:00+02:00"
}
]Add an individual volunteer hour rule
POST/api/time/volunteer_hour_requirement
Request body application/json
dataVolunteerHourRequirement2Show fields (7)
personCRMPerson35Volunteer the requirement applies to.
companyCRMCompany25Company the requirement applies to.
valid_fromstring (date-time)Start of the requirement.
valid_untilstring (date-time)End of the requirement.
exemptbooleanThe volunteer is exempt from the requirement.
required_hoursnumber (float)Hours per period instead of the installation wide value. null = installation wide value.
reasonstringReason for the requirement or exemption.
Responses
200Add a new VolunteerHourRequirementVolunteerHourRequirement
Show fields (9)
idintegerPrimary key of the volunteer hour requirement. Internal ID.
personCRMPerson27Volunteer the requirement applies to.
Show fields (11)
idintegerPrimary key of the person. Internal ID.
first_namestringFirst name of the person.
last_namestringLast name of the person.
numberintegerMember or customer number of the person.
manual_numberintegerNumber set manually instead of the automatic number.
number_stringstringMember or customer number as text, including prefix.
genderstringGender of the person.
titlestringAcademic or other title of the person.
nicknamestringNickname of the person.
preferred_color_hexstringPreferred color of the person as hex value.
avatar_tokenstringToken of the avatar image.
companyCRMCompany24Company the requirement applies to.
Show fields (6)
idintegerPrimary key of the company. Internal ID.
short_namestringShort name of the company.
company_namestringLegal name of the company.
numberstringCustomer or supplier number of the company.
manual_numberintegerNumber set manually instead of the automatic number.
number_stringstringCompany number as text, including prefix.
valid_fromstring (date-time)Start of the requirement.
valid_untilstring (date-time)End of the requirement.
exemptbooleanThe volunteer is exempt from the requirement.
required_hoursnumber (float)Hours per period instead of the installation wide value. null = installation wide value.
reasonstringReason for the requirement or exemption.
createdstring (date-time)Time the requirement was created.
curl --request POST \
--url https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"valid_from": "2026-10-15T09:30:00+02:00",
"valid_until": "2026-10-15T09:30:00+02:00",
"exempt": true,
"required_hours": 1.5,
"reason": "string"
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
valid_from: '2026-10-15T09:30:00+02:00',
valid_until: '2026-10-15T09:30:00+02:00',
exempt: true,
required_hours: 1.5,
reason: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement"
payload = { "data": {
"valid_from": "2026-10-15T09:30:00+02:00",
"valid_until": "2026-10-15T09:30:00+02:00",
"exempt": True,
"required_hours": 1.5,
"reason": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement', [
'body' => '{"data":{"valid_from":"2026-10-15T09:30:00+02:00","valid_until":"2026-10-15T09:30:00+02:00","exempt":true,"required_hours":1.5,"reason":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"valid_from\":\"2026-10-15T09:30:00+02:00\",\"valid_until\":\"2026-10-15T09:30:00+02:00\",\"exempt\":true,\"required_hours\":1.5,\"reason\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"valid_from\":\"2026-10-15T09:30:00+02:00\",\"valid_until\":\"2026-10-15T09:30:00+02:00\",\"exempt\":true,\"required_hours\":1.5,\"reason\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement"
payload := strings.NewReader("{\"data\":{\"valid_from\":\"2026-10-15T09:30:00+02:00\",\"valid_until\":\"2026-10-15T09:30:00+02:00\",\"exempt\":true,\"required_hours\":1.5,\"reason\":\"string\"}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/volunteer_hour_requirement_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/volunteer_hour_requirement.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await VolunteerHourRequirementController.post(VolunteerHourRequirement.fromJson({
"valid_from": "2026-10-15T09:30:00+02:00",
"valid_until": "2026-10-15T09:30:00+02:00",
"exempt": true,
"required_hours": 1.5,
"reason": "string"
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"person": {
"id": 42,
"first_name": "Lena",
"last_name": "Hartmann",
"title": "Beispiel",
"number": 1,
"manual_number": 1,
"number_string": "string",
"gender": "string",
"nickname": "string",
"preferred_color_hex": "string"
},
"company": {
"id": 42,
"short_name": "Beispiel",
"company_name": "Beispiel",
"number": "string",
"manual_number": 1,
"number_string": "string"
},
"valid_from": "2026-10-15T09:30:00+02:00",
"valid_until": "2026-10-15T09:30:00+02:00",
"exempt": true,
"required_hours": 1.5,
"reason": "string",
"created": "2026-10-15T09:30:00+02:00"
}Get a single individual volunteer hour rule
GET/api/time/volunteer_hour_requirement/{id}
Path parameters
idrequiredstring |
Responses
200Returns a single VolunteerHourRequirementVolunteerHourRequirement
Show fields (9)
idintegerPrimary key of the volunteer hour requirement. Internal ID.
personCRMPerson27Volunteer the requirement applies to.
Show fields (11)
idintegerPrimary key of the person. Internal ID.
first_namestringFirst name of the person.
last_namestringLast name of the person.
numberintegerMember or customer number of the person.
manual_numberintegerNumber set manually instead of the automatic number.
number_stringstringMember or customer number as text, including prefix.
genderstringGender of the person.
titlestringAcademic or other title of the person.
nicknamestringNickname of the person.
preferred_color_hexstringPreferred color of the person as hex value.
avatar_tokenstringToken of the avatar image.
companyCRMCompany24Company the requirement applies to.
Show fields (6)
idintegerPrimary key of the company. Internal ID.
short_namestringShort name of the company.
company_namestringLegal name of the company.
numberstringCustomer or supplier number of the company.
manual_numberintegerNumber set manually instead of the automatic number.
number_stringstringCompany number as text, including prefix.
valid_fromstring (date-time)Start of the requirement.
valid_untilstring (date-time)End of the requirement.
exemptbooleanThe volunteer is exempt from the requirement.
required_hoursnumber (float)Hours per period instead of the installation wide value. null = installation wide value.
reasonstringReason for the requirement or exemption.
createdstring (date-time)Time the requirement was created.
curl --request GET \
--url https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/volunteer_hour_requirement_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await VolunteerHourRequirementController.get('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"person": {
"id": 42,
"first_name": "Lena",
"last_name": "Hartmann",
"title": "Beispiel",
"number": 1,
"manual_number": 1,
"number_string": "string",
"gender": "string",
"nickname": "string",
"preferred_color_hex": "string"
},
"company": {
"id": 42,
"short_name": "Beispiel",
"company_name": "Beispiel",
"number": "string",
"manual_number": 1,
"number_string": "string"
},
"valid_from": "2026-10-15T09:30:00+02:00",
"valid_until": "2026-10-15T09:30:00+02:00",
"exempt": true,
"required_hours": 1.5,
"reason": "string",
"created": "2026-10-15T09:30:00+02:00"
}Update an individual volunteer hour rule
PUT/api/time/volunteer_hour_requirement/{id}
Path parameters
idrequiredstring |
Request body application/json
dataVolunteerHourRequirement2Show fields (7)
personCRMPerson35Volunteer the requirement applies to.
companyCRMCompany25Company the requirement applies to.
valid_fromstring (date-time)Start of the requirement.
valid_untilstring (date-time)End of the requirement.
exemptbooleanThe volunteer is exempt from the requirement.
required_hoursnumber (float)Hours per period instead of the installation wide value. null = installation wide value.
reasonstringReason for the requirement or exemption.
Responses
200Update a VolunteerHourRequirementVolunteerHourRequirement
Show fields (9)
idintegerPrimary key of the volunteer hour requirement. Internal ID.
personCRMPerson27Volunteer the requirement applies to.
Show fields (11)
idintegerPrimary key of the person. Internal ID.
first_namestringFirst name of the person.
last_namestringLast name of the person.
numberintegerMember or customer number of the person.
manual_numberintegerNumber set manually instead of the automatic number.
number_stringstringMember or customer number as text, including prefix.
genderstringGender of the person.
titlestringAcademic or other title of the person.
nicknamestringNickname of the person.
preferred_color_hexstringPreferred color of the person as hex value.
avatar_tokenstringToken of the avatar image.
companyCRMCompany24Company the requirement applies to.
Show fields (6)
idintegerPrimary key of the company. Internal ID.
short_namestringShort name of the company.
company_namestringLegal name of the company.
numberstringCustomer or supplier number of the company.
manual_numberintegerNumber set manually instead of the automatic number.
number_stringstringCompany number as text, including prefix.
valid_fromstring (date-time)Start of the requirement.
valid_untilstring (date-time)End of the requirement.
exemptbooleanThe volunteer is exempt from the requirement.
required_hoursnumber (float)Hours per period instead of the installation wide value. null = installation wide value.
reasonstringReason for the requirement or exemption.
createdstring (date-time)Time the requirement was created.
curl --request PUT \
--url https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"valid_from": "2026-10-15T09:30:00+02:00",
"valid_until": "2026-10-15T09:30:00+02:00",
"exempt": true,
"required_hours": 1.5,
"reason": "string"
}
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
valid_from: '2026-10-15T09:30:00+02:00',
valid_until: '2026-10-15T09:30:00+02:00',
exempt: true,
required_hours: 1.5,
reason: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42"
payload = { "data": {
"valid_from": "2026-10-15T09:30:00+02:00",
"valid_until": "2026-10-15T09:30:00+02:00",
"exempt": True,
"required_hours": 1.5,
"reason": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42', [
'body' => '{"data":{"valid_from":"2026-10-15T09:30:00+02:00","valid_until":"2026-10-15T09:30:00+02:00","exempt":true,"required_hours":1.5,"reason":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"valid_from\":\"2026-10-15T09:30:00+02:00\",\"valid_until\":\"2026-10-15T09:30:00+02:00\",\"exempt\":true,\"required_hours\":1.5,\"reason\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"valid_from\":\"2026-10-15T09:30:00+02:00\",\"valid_until\":\"2026-10-15T09:30:00+02:00\",\"exempt\":true,\"required_hours\":1.5,\"reason\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42"
payload := strings.NewReader("{\"data\":{\"valid_from\":\"2026-10-15T09:30:00+02:00\",\"valid_until\":\"2026-10-15T09:30:00+02:00\",\"exempt\":true,\"required_hours\":1.5,\"reason\":\"string\"}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/volunteer_hour_requirement_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/volunteer_hour_requirement.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await VolunteerHourRequirementController.put(VolunteerHourRequirement.fromJson({
"valid_from": "2026-10-15T09:30:00+02:00",
"valid_until": "2026-10-15T09:30:00+02:00",
"exempt": true,
"required_hours": 1.5,
"reason": "string"
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"person": {
"id": 42,
"first_name": "Lena",
"last_name": "Hartmann",
"title": "Beispiel",
"number": 1,
"manual_number": 1,
"number_string": "string",
"gender": "string",
"nickname": "string",
"preferred_color_hex": "string"
},
"company": {
"id": 42,
"short_name": "Beispiel",
"company_name": "Beispiel",
"number": "string",
"manual_number": 1,
"number_string": "string"
},
"valid_from": "2026-10-15T09:30:00+02:00",
"valid_until": "2026-10-15T09:30:00+02:00",
"exempt": true,
"required_hours": 1.5,
"reason": "string",
"created": "2026-10-15T09:30:00+02:00"
}Update an individual volunteer hour rule
PATCH/api/time/volunteer_hour_requirement/{id}
Path parameters
idrequiredstring |
Request body application/json
dataVolunteerHourRequirement2Show fields (7)
personCRMPerson35Volunteer the requirement applies to.
companyCRMCompany25Company the requirement applies to.
valid_fromstring (date-time)Start of the requirement.
valid_untilstring (date-time)End of the requirement.
exemptbooleanThe volunteer is exempt from the requirement.
required_hoursnumber (float)Hours per period instead of the installation wide value. null = installation wide value.
reasonstringReason for the requirement or exemption.
Responses
200Update a VolunteerHourRequirementVolunteerHourRequirement
Show fields (9)
idintegerPrimary key of the volunteer hour requirement. Internal ID.
personCRMPerson27Volunteer the requirement applies to.
Show fields (11)
idintegerPrimary key of the person. Internal ID.
first_namestringFirst name of the person.
last_namestringLast name of the person.
numberintegerMember or customer number of the person.
manual_numberintegerNumber set manually instead of the automatic number.
number_stringstringMember or customer number as text, including prefix.
genderstringGender of the person.
titlestringAcademic or other title of the person.
nicknamestringNickname of the person.
preferred_color_hexstringPreferred color of the person as hex value.
avatar_tokenstringToken of the avatar image.
companyCRMCompany24Company the requirement applies to.
Show fields (6)
idintegerPrimary key of the company. Internal ID.
short_namestringShort name of the company.
company_namestringLegal name of the company.
numberstringCustomer or supplier number of the company.
manual_numberintegerNumber set manually instead of the automatic number.
number_stringstringCompany number as text, including prefix.
valid_fromstring (date-time)Start of the requirement.
valid_untilstring (date-time)End of the requirement.
exemptbooleanThe volunteer is exempt from the requirement.
required_hoursnumber (float)Hours per period instead of the installation wide value. null = installation wide value.
reasonstringReason for the requirement or exemption.
createdstring (date-time)Time the requirement was created.
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"valid_from": "2026-10-15T09:30:00+02:00",
"valid_until": "2026-10-15T09:30:00+02:00",
"exempt": true,
"required_hours": 1.5,
"reason": "string"
}
}
'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
valid_from: '2026-10-15T09:30:00+02:00',
valid_until: '2026-10-15T09:30:00+02:00',
exempt: true,
required_hours: 1.5,
reason: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42"
payload = { "data": {
"valid_from": "2026-10-15T09:30:00+02:00",
"valid_until": "2026-10-15T09:30:00+02:00",
"exempt": True,
"required_hours": 1.5,
"reason": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42', [
'body' => '{"data":{"valid_from":"2026-10-15T09:30:00+02:00","valid_until":"2026-10-15T09:30:00+02:00","exempt":true,"required_hours":1.5,"reason":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"valid_from\":\"2026-10-15T09:30:00+02:00\",\"valid_until\":\"2026-10-15T09:30:00+02:00\",\"exempt\":true,\"required_hours\":1.5,\"reason\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"valid_from\":\"2026-10-15T09:30:00+02:00\",\"valid_until\":\"2026-10-15T09:30:00+02:00\",\"exempt\":true,\"required_hours\":1.5,\"reason\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42"
payload := strings.NewReader("{\"data\":{\"valid_from\":\"2026-10-15T09:30:00+02:00\",\"valid_until\":\"2026-10-15T09:30:00+02:00\",\"exempt\":true,\"required_hours\":1.5,\"reason\":\"string\"}}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"data": {
"valid_from": "2026-10-15T09:30:00+02:00",
"valid_until": "2026-10-15T09:30:00+02:00",
"exempt": true,
"required_hours": 1.5,
"reason": "string"
}
}),
);
print(response.body);{
"id": 42,
"person": {
"id": 42,
"first_name": "Lena",
"last_name": "Hartmann",
"title": "Beispiel",
"number": 1,
"manual_number": 1,
"number_string": "string",
"gender": "string",
"nickname": "string",
"preferred_color_hex": "string"
},
"company": {
"id": 42,
"short_name": "Beispiel",
"company_name": "Beispiel",
"number": "string",
"manual_number": 1,
"number_string": "string"
},
"valid_from": "2026-10-15T09:30:00+02:00",
"valid_until": "2026-10-15T09:30:00+02:00",
"exempt": true,
"required_hours": 1.5,
"reason": "string",
"created": "2026-10-15T09:30:00+02:00"
}Delete an individual volunteer hour rule
DELETE/api/time/volunteer_hour_requirement/{id}
Path parameters
idrequiredstring |
Responses
default
curl --request DELETE \
--url https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'DELETE', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('DELETE', 'https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Delete,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42")
.delete(null)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/volunteer_hour_requirement_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await VolunteerHourRequirementController.delete('42');
if (result.success) {
print(result.data);
}